Bug 197921 - X server crashes when laptop lid is closed
X server crashes when laptop lid is closed
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-07-07 08:15 EDT by Karsten Hopp
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-26 15:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log of crashed X server (48.07 KB, text/plain)
2006-07-07 08:15 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2006-07-07 08:15:56 EDT
Description of problem:
When I close the lid of my laptop (r128), the X server aborts with the following
0: X(xf86SigHandler+0x81) [0x80c6141]
1: [0x628420]
2: /lib/libc.so.6 [0x2b048e]
3: /lib/libc.so.6(__strtoul_internal+0x3f) [0x2afe47]
4: X [0x80b4750]
5: X(xf86HandlePMEvents+0x3b) [0x80dddfb]
6: X(xf86Wakeup+0x153) [0x80c7603]
7: X(WakeupHandler+0x59) [0x808b059]
8: X(WaitForSomething+0x1b9) [0x8197f69]
9: X(Dispatch+0x8d) [0x8086e7d]
10: X(main+0x485) [0x806e995]
11: /lib/libc.so.6(__libc_start_main+0xdc) [0x299794]
12: X [0x806dcd1]

Fatal server error:
Caught signal 11.  Server aborting

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Karsten Hopp 2006-07-07 08:15:56 EDT
Created attachment 132046 [details]
log of crashed X server
Comment 2 Adam Jackson 2006-08-04 19:04:54 EDT
Yow.  The ACPI event parser is astonishingly bad.  I'll look into this.
Comment 3 Adam Jackson 2006-09-21 18:58:51 EDT
assign to me for visibility...
Comment 4 Adam Jackson 2006-09-21 20:30:54 EDT
Try something for me.  ssh into the machine with the r128, run:

nc -U /var/run/acpid.socket

and close the lid.  I want to see the message we're getting from the kernel
that's causing the crash.
Comment 5 Adam Jackson 2006-10-31 17:49:14 EST
Karsten, had a chance to try this yet?
Comment 6 Oleg Drokin 2006-11-03 11:47:58 EST
I am not original requestior, but here it is for my laptop (i9xx based
videocard, bbut crash is everywhere)
[green@orc ~]$ nc -U /var/run/acpid.socket 
video VID 00000080 00000000
video VID 00000080 00000000
button/lid LID 00000080 00000001
video VID 00000080 00000000
video VID 00000080 00000000
button/lid LID 00000080 00000002

he problems seems to be invalid strtok in lnx_acpi.c
The problem is more fully discussed at
https://bugs.freedesktop.org/show_bug.cgi?id=8776 but the patch there, while
fixing the crash, just causes my X server to always blank display, so that even
when I open the lid and I have acpid workaround (in /etc/acpi/events/video.conf)
the display does not turn on (but in console that workaround works), so I was
forced to use that Option "NoPM" for now. OF course the screen does not turn on
by itself now, but with acpid event it is better than X server crash.
(also, though this is probably not relevant for this bug, the original FC6
workaround turns on display on any video even, for example on lid CLOSE, which
is very bad idea of course.
I replaced the event/action with this, which only turns on the lcd when the lid
is opened (at least on my laptop:
event=button/lid LID 00000080 .{7}[02468ace]
action=/usr/sbin/vbetool dpms on
Comment 7 Oleg Drokin 2006-11-05 12:04:32 EST
I forgot to add that this actually happens with recently released fedora core6
and from my understanding, this should happen on any laptop out there when you
close the lid, so I am shocked you are not flooded with bugreports about this
Unfortunatelly Iam unable to change the Version field.
Comment 8 Adam Jackson 2007-01-29 19:11:34 EST
This ought to be fixed in rawhide, as of xorg-x11-server 1.1.1-55 and later. 
Please test, and reopen if this is still an issue in FC7.
Comment 9 Adam Jackson 2007-05-26 15:09:26 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.